/*店舗紹介
-----------------------------------------*/

/* アンカーリンク（menu移植済） */
.shop__anker-link
{
    margin-bottom: 3rem;
}

.shop__anker-link li
{
    width: 100%;
    text-align: center;
    line-height: 1.2;
    display: block;
    border: 2px solid var(--secondary-600);
    border-radius: 8px;
    background: url(../images/common/icon_arrow-down-circle-fill.svg) no-repeat center right 16px / 16px 16px;
    max-width: 440px;
    margin: 0 auto 8px;
}

.shop__anker-link li a
{
    display: block;
    width: 100%;
    padding: 10px 36px 10px 16px;
}

@media (min-width: 769px)
{
    .shop__anker-link
    {
        display: flex;
    }

    .shop__anker-link li a
    {
        padding: 10px 44px 10px 24px;
    }

    .shop__anker-link li
    {
        display: flex;
        align-items: center;
        width: calc((100% - 32px) / 3);
        max-width: none;
        font-size: 18px;
    }

    .shop__anker-link li:hover
    {
        background: url(../images/common/icon_arrow-down-circle-fill_white.svg) no-repeat center right 16px / 16px 16px;
        background-color: var(--secondary-600);
        transition: 0.3s;
        color: var(--white);
    }
}

/* ページリンク位置調整 */
.anchor-space
{
    padding-top: 64px;
    margin-top: -64px;
}

@media (min-width: 1141px)
{
    .anchor
    {
        padding-top: 80px;
        margin-top: -80px;
    }
}

/* 店舗 */
.shop-ttl
{
    padding-left: 24px;
    background-image: linear-gradient(to top, var(--primary-200) 10%, var(--primary-400) 100%);
    background-repeat: no-repeat;
    background-size: 10px 100%;
    font-size: 20px;
    line-height: 1.3;
    font-weight: 700;
    display: block;
    max-width: 440px;
}

#franchise .shop-ttl,
#direct .shop-ttl
{
    margin-bottom: 1em;
}

.shop-name
{
    line-height: 1.5;
    border-bottom: 1px solid var(--secondary-600);
    padding-bottom: 8px;
    margin-bottom: 16px;
    text-align: center;
    font-size: 18px;
    font-weight: 700;
}

.shop-jp
{
    margin: 0 auto 56px;
    max-width: 440px;
}

.shop-img img
{
    border-radius: 8px;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.shop-img
{
    width: 240px;
    height: 240px;
    margin: 0 auto 24px;
}

.shop-info dl
{
    margin: 8px auto;
    line-height: 1.5;
    display: flex;
}

.shop-info dl dt
{
    display: block;
    width: 7em;
    padding-left: 1em;
    position: relative;
}

.shop-info dl dt:before
{
    content: "";
    position: absolute;
    left: 0;
    top: 14px;
    transform: translateY(-50%);
    width: 8px;
    height: 8px;
    background-color: var(--primary-400);
    border-radius: 50%;
}

.shop-info dd
{
    display: block;
    width: calc(100% - 7em);
}


.shop-info dd:nth-of-type(n+2)
{
    margin-left: 112px;
}

.shop-map
{
    aspect-ratio: 2 / 1;
    width: 100%;
    height: auto;
}

.shop-info iframe
{
    width: 100%;
    height: 150px;
    margin-top: 10px;
}

@media (min-width: 769px)
{
    .shop-ttl
    {
        font-size: 28px;
        margin-bottom: 40px;
        max-width: none;
    }

    .shop-name
    {
        text-align: left;
    }

    .shop-img img
    {
        border-radius: 16px;
    }

    .shop-info dt
    {
        display: flex;
    }

    .shop-jp
    {
        display: flex;
        max-width: none;
    }

    .shop-img
    {
        margin: 0 40px 0 0;
    }

    .shop-jp
    {
        margin-bottom: 100px;
    }

    .shop-info
    {
        max-width: 518px;
        width: 100%;
    }

    .shop-info iframe
    {
        width: 100%;
        height: 173px;
        margin-top: 10px;
    }
}

#direct,
#overseas,
#franchise
{
    padding-bottom: 50px;
}

#abroad,
#franchise
{
    border-top: 3px dotted var(--secondary-400);
}

/* 海外店舗 */
#abroad h4
{
    font-size: 20px;
    font-weight: 700;
    padding-bottom: 8px;
    margin-bottom: 16px;
    margin-top: 1em;
    border-bottom: 1px solid var(--secondary-400);
}

#abroad .flex
{
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
}

#abroad .shop-overseas
{
    width: 47%;
}

#abroad dt
{
    font-size: 18px;
    font-weight: 700;
}

#abroad dd
{
    margin-top: 14px;
}

#abroad dd.adress
{
    line-height: 1.4;
    min-height: 3em;
}

#abroad dd iframe
{
    width: 100%;
    height: 127px;
}

@media (max-width: 769px)
{
    #abroad h4
    {
        font-size: 17px;
    }

    #abroad .flex
    {
        display: block;
    }

    #abroad .shop-overseas
    {
        width: 100%;
        margin-top: 20px;
    }

    #abroad dd
    {
        margin-top: 5px;
    }

    #abroad dd.adress
    {
        min-height: auto;
    }
}